# This package only contains header files.
%global debug_package %{nil}

%global ftest_commit 9c7e60cc1b7c76f59e2ffbbc3dad15bafc5cdac5
%global ftest_shortcommit %(c=%{ftest_commit}; echo ${c:0:7})

Name:       utf8cpp
Version:    3.2.4
Release:    %mkrel 1
Summary:    A simple, portable and lightweight library for handling UTF-8 encoded strings

Group:      Development/Other
License:    Boost
URL:        https://github.com/nemtrif/utfcpp
Source0:    https://github.com/nemtrif/utfcpp/archive/v%{version}/utfcpp-%{version}.tar.xz
Source1:    https://github.com/nemtrif/ftest/archive/%{ftest_commit}/ftest-%{ftest_shortcommit}.tar.gz
# put cmake import file in arch-agnostic directory
Patch1:     %{name}-noarch.patch
BuildArch:  noarch

BuildRequires: cmake
BuildRequires: gcc-c++


%description
A simple, portable and lightweight library for handling UTF-8 encoded strings.

Features include:
 - iterating through UTF-8 encoded strings
 - converting between UTF-8 and UTF-16/UTF-32
 - detecting invalid UTF-8 sequences

This project currently only contains header files, which can be found in the
%{name}-devel package.

%package    devel
Summary:    Header files for %{name}
Group:      Development/Libraries
BuildArch:  noarch
Provides:   %{name}-static = %{version}-%{release}

%description devel
A simple, portable and lightweight library for handling UTF-8 encoded strings.

Features include:
 - iterating through UTF-8 encoded strings
 - converting between UTF-8 and UTF-16/UTF-32
 - detecting invalid UTF-8 sequences

This project currently only contains header files, which can be found in the
%{name}-devel package.


%prep
%autosetup -n utfcpp-%{version} -p1 -a1

rmdir extern/ftest && mv ftest-%{ftest_commit} extern/ftest


%build
%cmake \
        -DUTF8_TESTS=ON \
        -DUTF8_SAMPLES=ON
%cmake_build


%install
%cmake_install

pushd %{buildroot}%{_includedir}
ln -s utf8cpp/utf8.h ./
mkdir utf8
for f in {{un,}checked,core,cpp11,cpp17}.h ; do
    ln -s ../utf8cpp/utf8/${f} utf8/
done
popd



%files devel
%{_includedir}/utf8.h
%dir %{_includedir}/utf8
%{_includedir}/utf8/checked.h
%{_includedir}/utf8/core.h
%{_includedir}/utf8/cpp11.h
%{_includedir}/utf8/cpp17.h
%{_includedir}/utf8/unchecked.h
%{_includedir}/utf8cpp/
%{_datadir}/cmake/utf8cpp


%changelog
* Wed Sep 06 2023 tex - 3.2.4-1pclos2023
- new version
